Difference between revisions of "Jruby"

From ArchWiki
Jump to: navigation, search
(Created page with '== Installing Jruby on Arch == # Download the latest Jruby from jruby.org to '/opt/jruby' # Add 'opt/jruby/bin' to your path <code> export PATH=$PATH:/opt/jruby/bin </code>')
 
(9 intermediate revisions by 5 users not shown)
Line 1: Line 1:
== Installing Jruby on Arch ==
+
[[Category:Programming language]]
 +
== Installation ==
 +
A {{AUR|jruby}} package can be found on [[AUR]].
  
# Download the latest Jruby from [[jruby.org]] to '/opt/jruby'
+
{{Note|''jruby'' is will require either [[Java#Installation|openjdk]] or [[Java#Installation|jre]] in order to run}}
 +
 
 +
# Download the latest Jruby from http://jruby.org/download to '/opt/jruby'
 
# Add 'opt/jruby/bin' to your path
 
# Add 'opt/jruby/bin' to your path
<code> export PATH=$PATH:/opt/jruby/bin </code>
+
 
 +
# export PATH=$PATH:/opt/jruby/bin
 +
 
 +
== Testing ==
 +
 
 +
* Run the following command to test jruby
 +
 
 +
# jruby -v
 +
jruby 1.2.0 (ruby 1.8.6 patchlevel 287) (2009-03-16 rev 9419) [i386-java]

Revision as of 13:27, 13 June 2012

Installation

A jrubyAUR package can be found on AUR.

Note: jruby is will require either openjdk or jre in order to run
  1. Download the latest Jruby from http://jruby.org/download to '/opt/jruby'
  2. Add 'opt/jruby/bin' to your path
# export PATH=$PATH:/opt/jruby/bin

Testing

  • Run the following command to test jruby
# jruby -v
jruby 1.2.0 (ruby 1.8.6 patchlevel 287) (2009-03-16 rev 9419) [i386-java]